#
# spec file for package lincvs (Version 0.3.91)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype2 gpp libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libz mesa mesa-devel mesasoft qt qt-devel qt-extensions qt-freebies xf86 xf86glu
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions qt-freebies rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xshared

Name:         lincvs
Summary:      A frontend for CVS
Version:      0.3.91
Release:      52
Group:      Development/Tools
#Requires:   
#Provides:   
Copyright:  GPL
URL: http://www.lincvs.org
Source:     lincvs-%{version}-0-generic-src.tar.bz2
#BuildRoot:  /var/tmp/lincvs-root

%description
LinCVS is a pretty and stable frontend for the version revision system CVS.

Authors:
--------
    Tilo Riemer <riemer@ppprs1.phy.tu-dresden.de>

SuSE series: xap

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -n lincvs-%{version}
# %patch

%build 
%ifarch alpha
RPM_OPT_FLAGS="-mieee -O0"
%endif
CFLAGS=$RPM_OPT_FLAGS  ./configure --prefix=/usr --exec-prefix=/usr/X11R6
CFLAGS=$RPM_OPT_FLAGS  make 

%install
make install
rm -f /usr/X11R6/bin/lincvs
(cd /usr/X11R6/bin/ && ln -s LinCVS lincvs)

%clean
rm -fr $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/LinCVS
/usr/X11R6/bin/lincvs
/usr/X11R6/bin/set-ssh-commit-env.sh
/usr/X11R6/bin/set-ssh-env.sh
/usr/X11R6/bin/start-openssh-agent.sh
/usr/X11R6/bin/start-ssh-agent.sh
# /usr/share/icons/lincvs
%doc  AUTHORS COPYING  ChangeLog INSTALL  README SSH.txt VERSION THANKS
# spec file ends here

%changelog -n lincvs
* Wed Aug 15 2001 - freitag@suse.de
- update to version 0.3.91
* Mon Jul 09 2001 - kukuk@suse.de
- Add freetype2 to need for build
* Thu Jun 07 2001 - freitag@suse.de
- update to version 0.3.0
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Thu Feb 08 2001 - ro@suse.de
- include time.h
* Tue Jan 23 2001 - stepan@suse.de
- Alpha compile fixes for gcc 2.95.x
* Thu Nov 30 2000 - ro@suse.de
- neededforbuild += liblcms
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Sun Nov 05 2000 - kukuk@suse.de
- adjust neededforbuild
* Mon Oct 16 2000 - ro@suse.de
- added libmng to neededforbuild (qt)
* Thu Oct 05 2000 - freitag@suse.de
- update to version 0.3 beta 1
* Thu Sep 21 2000 - ro@suse.de
- added mesa-stuff to neededforbuild: qt needs it
* Mon Aug 28 2000 - freitag@suse.de
- correct installation with icons
* Thu Jun 08 2000 - freitag@suse.de
- update to version alpha.0.3
* Thu Apr 13 2000 - freitag@suse.de
- initial version 0.2.5
